GNU bug report logs - #39949
[core-updates] rust@1.20 fails tests

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Marius Bakke <mbakke@HIDDEN>; Done: Marius Bakke <mbakke@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.

Message received at 39949 <at> debbugs.gnu.org:


Received: (at 39949) by debbugs.gnu.org; 2 Apr 2020 19:16:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 02 15:16:38 2020
Received: from localhost ([127.0.0.1]:40792 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jK5KP-00068n-Ul
	for submit <at> debbugs.gnu.org; Thu, 02 Apr 2020 15:16:38 -0400
Received: from wout4-smtp.messagingengine.com ([64.147.123.20]:34367)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jK5KO-00068V-Cn
 for 39949 <at> debbugs.gnu.org; Thu, 02 Apr 2020 15:16:36 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 5EF2B6F8;
 Thu,  2 Apr 2020 15:16:30 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Thu, 02 Apr 2020 15:16:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=OhWqfB0I7tvsyEAzcKMVHk0RVa
 sy4VE/5phk/4nYxgA=; b=cA9QfwXwd1f0I8Y0iG/9vt7FbJ7Ydxj5a+PcRf508s
 XS4blMMXAQX7t79CJOfUGS0AkTvXYymN+pM0aZgszdCnU4OZ2U6sG2aTyEl/zrn/
 0dPbOBKLvpSu0yUnCdD8GAFjf54c6i53pJEqF0sn5QeV7vH0/oQTsOKJphTkSz+G
 0jSLPVUFMmCuvhnSavwZi+MT3zt1wajVovMeyyqwMf0phwDQtpvhhtEInDeKOSYL
 6eqCRTJgzg+0/m8OEXc5bkUQhcCNd+QQbJpFFbRQddXYvf5nMlJ568swOgZVOq3H
 l2OQTGkqQIo3r335BqjW0JTSZ9oJH8EgIh94+KffFUqg==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=OhWqfB
 0I7tvsyEAzcKMVHk0RVasy4VE/5phk/4nYxgA=; b=dk2kfIDBYhFPdP3WHeC/Oy
 FieaFoulIeoCM6/T6FOjVVfRLXcTIghDGd4/Y3Co3vAm39UIpfTOHrhZxRxp/0/J
 5uY9dCJnQ4zzUW6g+ot2SrHd/ZxgmYae8NzsFHdIu76lOBi7++UpityxUSYWBshp
 Z8Hj2LueXa2j5WdoNDdiwZDHcg8HrxKFD7z6972uaTR4980oUGw89d0EUxMgzKmg
 RMLGasRF78agTyKsRA1vy7jtFM3fAA8PtYvSTw1qiK6PKNhD+BQUDEJ82N/ehB76
 ThzLtpeT7fumuloBu091wZw7EbygBZg1loCGBTlNiMHoUn7Y/g/+MryHtYi2rFKQ
 ==
X-ME-Sender: <xms:DTqGXok9QrKFM1p_YGzPerl9tGNAaoKrm8Qd1lF3A3CW14chiIPv2g>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrtdeggdduvdelucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecuffhomhgrihhnpehgihhtlhgrsgdrtghomhdpghhithhhuh
 gsrdgtohhmnecukfhppeekgedrvddtvddrieekrdejheenucevlhhushhtvghrufhiiigv
 pedtnecurfgrrhgrmhepmhgrihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrd
 gtohhm
X-ME-Proxy: <xmx:DTqGXsjMeREJcTjJGlkR6Aux2AGYlSAWid9HclFawVkRfFJwh41j7Q>
 <xmx:DTqGXm5JJnotmg1fM2lCW1lrbTbcd1akjQgp-QTQ9iywN9GskwBtbw>
 <xmx:DTqGXotUboi3YRAxI3-nSGPfBr3l_ylHrdDC2WuacJ_iQzsqf-ukHg>
 <xmx:DjqGXmQlI5QF1Sp9tBd4lAaXmaYMQHNFsJiILDp5UQniSZxNKx_A9w>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 82D59328005A;
 Thu,  2 Apr 2020 15:16:29 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Bengt Richter <bokr@HIDDEN>, 39949 <at> debbugs.gnu.org
Subject: Re: bug#39949: [core-updates] rust@HIDDEN fails tests
In-Reply-To: <20200331214601.GA3602@LionPure>
References: <87pndplfie.fsf@HIDDEN> <87a73wvcx8.fsf@HIDDEN>
 <20200331214601.GA3602@LionPure>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Thu, 02 Apr 2020 21:16:27 +0200
Message-ID: <87d08pr94k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39949
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Bengt Richter <bokr@HIDDEN> writes:

> Hi Marius,
>
> On +2020-03-31 16:04:03 +0200, Marius Bakke wrote:
>> Marius Bakke <mbakke@HIDDEN> writes:
>>=20
>> > Rust 1.20 fails a test on core-updates, possibly because of the new
>> > version of GNU Make (4.3).
>> >
>> > I suppose we can disable that test for the bootstrap builds as long as
>> > it works for the latest version of Rust.
>>=20
>> Fixed by giving Rust an earlier version of GNU Make in commit
>> 47cd0febe957b698cc2ae28978bdc3bc89e787f9.
>
> ISTM this kind of "fixed" is not the same as e.g. an upstream upgrade that
> "fixes" "the problem" -- so I'm wondering if work-flow-wise
> you have a way to tell some upgrade-watching robot to notify you (or your=
 s/w[1])
> when the inevitable revision to your "fix" should be done.

I don't know of any such service, but would probably use it if it
exists!  Often fixes are already available in upstream repositories, so
it's a matter of locating it and checking the log on the file in
question.

In this case I was too lazy as Rust 1.20 is already ancient and there is
work on bootstrapping 1.29 directly in another issue.

> Are there any general standards for subscribing interest in being notified
> when a particular package or file gets upgraded/revised/etc in any "distr=
o"
> your package may be dependent on?

I do subscribe to a bunch of mailing lists and Atom feeds to get
notified of new releases and encourage others to do the same for
packages they care about.  Pro tip: both GitLab and GitHub offers
release feeds on these URLs:

https://gitlab.com/project/package/tags?format=3Datom
https://github.com/project/package/releases.atom

> [1] Is there such a thing as a derivation/service that sits and waits for=
 such
> a notification, and maybe sends you a patch when it does get notified?
>
> Just curious how the world works :)

IME best way to learn how something works is to take part in it!  I have
learned a whole lot since I got involved with Guix, both personally and
professionally, and don't intend to stop any time soon!  :-)

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6GOgsACgkQoqBt8qM6
VPojogf/cUXtno+s00U27mtHJXAJrS4nCgi9W6vVwfHOl8qy6SaE8P0QJ/RfIhwj
//xnG5cwfMmjiGi5xdJDaAwi+brh9KgBQKW4gc15RNThm5QtDWU7ekfWFFDd6BPR
gO0u8BAEYaEy7bHr+vh1Mw2smV7erlayCuAUGYs2Ha3UcQgd2Rb2qbeOTeT3emCD
41F8b6UJmzAp8rP+25Kj/PAPxTUlFgZEn349Fd+gybqq61i82LZrT50rFP/486L2
7VwGOsIR/YK0EPacQBNk8YyuUAj3dZjTLCOKvrQL4GaXdfmA1g0k2YHTiANWUfTf
vVMCE1ywOsL9bK6sK/jTcUHEDW3RmA==
=99UU
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#39949; Package guix. Full text available.

Message received at 39949 <at> debbugs.gnu.org:


Received: (at 39949) by debbugs.gnu.org; 31 Mar 2020 21:46:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 17:46:19 2020
Received: from localhost ([127.0.0.1]:37149 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJOiB-0006hb-6E
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 17:46:19 -0400
Received: from imta-36.everyone.net ([216.200.145.36]:34098
 helo=imta-38.everyone.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bokr@HIDDEN>) id 1jJOi9-0006hM-CJ
 for 39949 <at> debbugs.gnu.org; Tue, 31 Mar 2020 17:46:17 -0400
Received: from pps.filterd (omta002.sj2.proofpoint.com [127.0.0.1])
 by imta-38.everyone.net (8.16.0.27/8.16.0.27) with SMTP id 02VLi3o0001095;
 Tue, 31 Mar 2020 14:46:14 -0700
X-Eon-Originating-Account: Cn4A4SiZMEmFcO1L5U6I3AC7lcXA4659_cfcK1NBEcI
X-Eon-Dm: m0117124.ppops.net
Received: by m0117124.mta.everyone.net (EON-AUTHRELAY2 - 53b92c75)
 id m0117124.5e67f957.227801; Tue, 31 Mar 2020 14:46:12 -0700
X-Eon-Sig: AQMHrIJeg7okcbfJIQIAAAAC,775347adb5ba38347cc93cae13a3a806
X-Eip: TsQvb7RPZUovCDaG8JbXQzLa8vePxBX2mXN3J4YPdYI
Date: Tue, 31 Mar 2020 23:46:01 +0200
From: Bengt Richter <bokr@HIDDEN>
To: 39949 <at> debbugs.gnu.org, mbakke@HIDDEN
Subject: Re: bug#39949: [core-updates] rust@HIDDEN fails tests
Message-ID: <20200331214601.GA3602@LionPure>
References: <87pndplfie.fsf@HIDDEN>
 <87a73wvcx8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
In-Reply-To: <87a73wvcx8.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Proofpoint-Virus-Version: vendor=fsecure engine=2.50.10434:6.0.138, 18.0.676
 definitions=2020-03-31_07:2020-03-31,
 2020-03-31 signatures=0
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=8 phishscore=0 bulkscore=0 spamscore=0 clxscore=1034
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-2002250000
 definitions=main-2003310176
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: 39949
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Bengt Richter <bokr@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.4 (-)

Hi Marius,

On +2020-03-31 16:04:03 +0200, Marius Bakke wrote:
> Marius Bakke <mbakke@HIDDEN> writes:
> 
> > Rust 1.20 fails a test on core-updates, possibly because of the new
> > version of GNU Make (4.3).
> >
> > I suppose we can disable that test for the bootstrap builds as long as
> > it works for the latest version of Rust.
> 
> Fixed by giving Rust an earlier version of GNU Make in commit
> 47cd0febe957b698cc2ae28978bdc3bc89e787f9.

ISTM this kind of "fixed" is not the same as e.g. an upstream upgrade that
"fixes" "the problem" -- so I'm wondering if work-flow-wise
you have a way to tell some upgrade-watching robot to notify you (or your s/w[1])
when the inevitable revision to your "fix" should be done.

Are there any general standards for subscribing interest in being notified
when a particular package or file gets upgraded/revised/etc in any "distro"
your package may be dependent on?

[1] Is there such a thing as a derivation/service that sits and waits for such
a notification, and maybe sends you a patch when it does get notified?

Just curious how the world works :)

-- 
Regards,
Bengt Richter




Information forwarded to bug-guix@HIDDEN:
bug#39949; Package guix. Full text available.

Message received at 39949-done <at> debbugs.gnu.org:


Received: (at 39949-done) by debbugs.gnu.org; 31 Mar 2020 14:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 31 10:04:12 2020
Received: from localhost ([127.0.0.1]:36714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jJHUy-0004x0-Mp
	for submit <at> debbugs.gnu.org; Tue, 31 Mar 2020 10:04:12 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:41323)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jJHUx-0004wf-QQ
 for 39949-done <at> debbugs.gnu.org; Tue, 31 Mar 2020 10:04:12 -0400
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.nyi.internal (Postfix) with ESMTP id 6BECB5C058B
 for <39949-done <at> debbugs.gnu.org>; Tue, 31 Mar 2020 10:04:06 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Tue, 31 Mar 2020 10:04:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm2; bh=MBUrxL5MmncGUeYXz8hbDrUXK7
 kdn0Prl/C0SK2dnpI=; b=nlSZIPHNSCaKWOwHDpjy3jSS+mZXu6va+TFwl5XJl4
 VUYMHn/G5tHKYxDwk7n0df7MyrIzglo85ZtyhIiT00fdt+/EMi86H1wW2oWfvz6Y
 x+A1m6wzkCZlv3/RWU59XS0IAyF2xTOg9od9SUtXTHbvKkfieDSH87JZE295SPEg
 6Yrnu//zBvxd7yE7qpalQMuwAb/qd6OfckxO5XbOFQgBh5gQDueJZZaJQYMWxujP
 n2F6VNBUQbsbvT/8RyuPXTQ+Rin4zAmsi9iJh03HbEBySjPkGbSTWdy3lPGGqsMu
 o+bNduE0tw7NBOU425RcvMjOUCsquOFjMsj7JRhn+9VA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=MBUrxL
 5MmncGUeYXz8hbDrUXK7kdn0Prl/C0SK2dnpI=; b=fXG/FBFi/eskZM9pKrxbVD
 xdixOcDd/gBdWsLe+wCJxXFD+0f46Mtdoz9F5J/evhgwFd8YVdx3sP1fquwM6LFW
 oyt3NeznQSuMtSvfmLYp2gICf717zTRDAKgpTa5yU68FFdODRH67l2Hqiu+tUn91
 X3ODUZbvp6lK63a7bOtzLxkeM8A4mNPfV3Z6bKNCjn2nRKfDQ6Zb/QfIjxgjwrfa
 msYlb+arVLIVl0ACyOdNY9PMRcuZwWmlbCQHAJK2Yw5Qp92jWD87KPYsZyCIpcRD
 tQKBrL28t2+RqonceapbeYT/Pfdqe+XZ3Bu7rddTaoPNpigMQbu1pz3Yefokbikw
 ==
X-ME-Sender: <xms:1k2DXgOK5rv9Y2iC2ssBnzWqIyRaSKvzI90SAtaGUl3aS3dv402_Pg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduhedrtddtgdefkecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecunecujfgurhephffvufgjfhgffffkgggtsehgtderre
 dtredtnecuhfhrohhmpeforghrihhushcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshht
 mhgrihhlrdgtohhmqeenucfkphepkeegrddvtddvrdeikedrjeehnecuvehluhhsthgvrh
 fuihiivgeptdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghkkhgvsehfrghsthhm
 rghilhdrtghomh
X-ME-Proxy: <xmx:1k2DXrhWIAOVFM-tmfnkAa8Y8QQqwKAA7BAuVwvNlsVVWJAY4T9bYw>
 <xmx:1k2DXjItNVuERCOUtaNltXfo4UbQIpADZbG_pgY2AN--iQHrxWxV3A>
 <xmx:1k2DXlZay3k59jN_SLdn6ZM3uB5XJQ7GGYTj8iMX2bHJAqFrXIOoRA>
 <xmx:1k2DXkDZzTa931Y2oFNSj61y9QYBiY4IFJpinws9Xec4luq-bzxy7A>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id E161C328005E
 for <39949-done <at> debbugs.gnu.org>; Tue, 31 Mar 2020 10:04:05 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: 39949-done <at> debbugs.gnu.org
Subject: Re: [core-updates] rust@HIDDEN fails tests
In-Reply-To: <87pndplfie.fsf@HIDDEN>
References: <87pndplfie.fsf@HIDDEN>
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Tue, 31 Mar 2020 16:04:03 +0200
Message-ID: <87a73wvcx8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 39949-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Marius Bakke <mbakke@HIDDEN> writes:

> Rust 1.20 fails a test on core-updates, possibly because of the new
> version of GNU Make (4.3).
>
> I suppose we can disable that test for the bootstrap builds as long as
> it works for the latest version of Rust.

Fixed by giving Rust an earlier version of GNU Make in commit
47cd0febe957b698cc2ae28978bdc3bc89e787f9.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl6DTdMACgkQoqBt8qM6
VPp0EQgAwdyFMkUfYgiQKp5J0tAV/I4E8j9DSqwixQGUNmq5OgyDxTLI3jJ9VoDu
Aov/6HMqVkL1eOke5D+1SZz04Ih0ylaCxzC4eK3Mj4UyF+PozIYfCvBlGP1uIDJb
nHhJ2dSytQ/K02lpvIvss7zzugV+IANX2f9ZxM2L9dKGQUD4tG/k39thqbU1DNl6
XZ1wIRoQs/uTuf4GIY6/GBCKMitRmJotR6VtvhTUPklMU3x37Ukf7pE29pu6sPDF
ur0+euBesM67rT5Tglb9I0yhFa6qpWMSP2ArSuUpFLTSEyBaw1FRzIi2MXfPyS6C
kwPVBAd2AcuJIsHc8c4RVBcxfWqwyQ==
=9dJw
-----END PGP SIGNATURE-----
--=-=-=--




Notification sent to Marius Bakke <mbakke@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Marius Bakke <mbakke@HIDDEN>:
You have taken responsibility. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Mar 2020 14:33:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 09:33:39 2020
Received: from localhost ([127.0.0.1]:44308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jAE2l-00028q-IP
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2020 09:33:39 -0500
Received: from lists.gnu.org ([209.51.188.17]:48375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1jAE2j-00028i-QT
 for submit <at> debbugs.gnu.org; Fri, 06 Mar 2020 09:33:38 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39914)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <mbakke@HIDDEN>) id 1jAE2i-0003kK-CH
 for bug-guix@HIDDEN; Fri, 06 Mar 2020 09:33:37 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.7 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 RCVD_IN_DNSWL_LOW,SPOOFED_FREEMAIL,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mbakke@HIDDEN>) id 1jAE2g-0002Dy-Uk
 for bug-guix@HIDDEN; Fri, 06 Mar 2020 09:33:36 -0500
Received: from wout3-smtp.messagingengine.com ([64.147.123.19]:51247)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mbakke@HIDDEN>) id 1jAE2g-0002By-HY
 for bug-guix@HIDDEN; Fri, 06 Mar 2020 09:33:34 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 8972C6F3
 for <bug-guix@HIDDEN>; Fri,  6 Mar 2020 09:33:32 -0500 (EST)
Received: from mailfrontend1 ([10.202.2.162])
 by compute4.internal (MEProxy); Fri, 06 Mar 2020 09:33:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:subject:date:message-id:mime-version:content-type; s=
 fm2; bh=qIsqmkga/J5R23idI293qolhExq3d3+3zEakOE7L+zg=; b=j5fqoKW5
 ejXWhaiaEwIaRW/zNpkygQuOg+ojr4TWQMpdLLyrd5c7grhgAb7ZQ0sI6vYq2JZU
 fNUmBts9LN/Ghe64Q92ToSDRq+CuYCsYkKwJN5dMSpQE6EL+Qizh0LdM7wquEaoz
 iYozIGDY0Pf6OiE+piBDtKuvJFWux+7FNwqrCOKSL+4AKoK9iW0pTaDSs9Rjoqbd
 LIexhFC7etW/vT8+ODZ0VXSS9FIrtJsOIFv0IfQCdDUNwD7ADMLzw1mVNpyX+l4U
 3/3i67F4LrSZJnGs2rX7pRPQILIp8LrYsHbqax/5vNSYkz65nH3VRx1E0rSC8NtJ
 MF626sT0v52EjQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm2; bh=qIsqmkga/J5R23idI293qolhExq3d
 3+3zEakOE7L+zg=; b=sHkYsbgk9ngT+gXt5Mck6mPkTS4bAimttbIAYt1fCCHVI
 So1oO0JaVUTQbUkAFKJnvTMxG8wyPUPTPpdKb7An30WY6V9/nO5dAddz9cGcFAwy
 KCs7RBFC20jHJsNSLPuqFxBRmRzaeOVJ6AmCiIleMUNtMESzi9VM+P1YyH6e6DdZ
 J9PmSzxqVUfNkJmSr1U+7eY2WYxe2hnaSg+HeKFCqeyAYBAAuesJqdxaiK67+p4N
 G5OmYf8aNmMroZTLmFkOQ2a2ePqQAbBiLRovUR8vAQkSGHIJVcptNWVY2b9IQgqF
 PIEQ1S1s9RJmfN7RUDwIDFLHKwhXUJlF6SmsHegMw==
X-ME-Sender: <xms:O19iXsW3Ok07PSWcMacdGPnk6NOSMpCpyiImnFWr9T1gcxCSeAejvg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedugedrudduvddgieekucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffufgffkfggtgesghdtreertd
 ertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghsthhm
 rghilhdrtghomheqnecuffhomhgrihhnpehgihhthhhusgdrtghomhenucfkphepkeegrd
 dvtddvrdeikedrjeehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrghi
 lhhfrhhomhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomh
X-ME-Proxy: <xmx:O19iXqWiktq8fXfUKBUDtqhX8th1ff0fyHzyDdqzqhgbpLLpVoEGkw>
 <xmx:O19iXpg0PH7vJPt8lJEl661gcAJU0SJZF9iwQaO2lqE5Oa7RZReglA>
 <xmx:O19iXsd5OSkWmRbsNggutVFrXAxOt_fykZ-DaOdMfXwD6uYTQYSZMA>
 <xmx:PF9iXkokM17EM7ZNHZPm2Hl6qcRJVCmOkn1EHKPRRBT_XirB4JuJ4w>
Received: from localhost (ti0006q161-2604.bb.online.no [84.202.68.75])
 by mail.messagingengine.com (Postfix) with ESMTPA id 8D4B43280059
 for <bug-guix@HIDDEN>; Fri,  6 Mar 2020 09:33:31 -0500 (EST)
From: Marius Bakke <mbakke@HIDDEN>
To: bug-guix@HIDDEN
Subject: [core-updates] rust@HIDDEN fails tests
User-Agent: Notmuch/0.29.3 (https://notmuchmail.org) Emacs/26.3
 (x86_64-pc-linux-gnu)
Date: Fri, 06 Mar 2020 15:33:29 +0100
Message-ID: <87pndplfie.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 64.147.123.19
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Rust 1.20 fails a test on core-updates, possibly because of the new
version of GNU Make (4.3).

I suppose we can disable that test for the bootstrap builds as long as
it works for the latest version of Rust.

Log output:

     Running build/x86_64-unknown-linux-gnu/stage2-tools/x86_64-unknown-linux-gnu/release/deps/jobserver-dd0c6bf78d70e32b

running 3 tests
test jobserver_and_j ... ok
test jobserver_exists ... ok
test makes_jobserver_used ... FAILED

failures:

---- makes_jobserver_used stdout ----
        running `make -j2`
thread 'makes_jobserver_used' panicked at '
Expected: execs
    but: exited with exit code: 2
--- stdout
/tmp/guix-build-rust-1.20.0.drv-0/rustc-1.20.0-src/build/x86_64-unknown-linux-gnu/stage2-tools/x86_64-unknown-linux-gnu/release/cargo build

--- stderr
   Compiling d1 v0.0.1 (file:///tmp/guix-build-rust-1.20.0.drv-0/rustc-1.20.0-src/build/x86_64-unknown-linux-gnu/stage2-tools/x86_64-unknown-linux-gnu/cit/t2/foo/d1)
   Compiling d2 v0.0.1 (file:///tmp/guix-build-rust-1.20.0.drv-0/rustc-1.20.0-src/build/x86_64-unknown-linux-gnu/stage2-tools/x86_64-unknown-linux-gnu/cit/t2/foo/d2)
error: internal compiler error: unexpected panic

note: the compiler unexpectedly panicked. this is a bug.

note: we would appreciate a bug report: https://github.com/rust-lang/rust/blob/master/CONTRIBUTING.md#bug-reports

note: rustc 1.20.0 running on x86_64-unknown-linux-gnu

thread 'rustc' panicked at 'failed to acquire jobserver token: Error { repr: Os { code: 11, message: "Resource temporarily unavailable" } }', src/libcore/result.rs:860:4
note: Run with `RUST_BACKTRACE=1` for a backtrace.

error: internal compiler error: unexpected panic

note: the compiler unexpectedly panicked. this is a bug.

note: we would appreciate a bug report: https://github.com/rust-lang/rust/blob/master/CONTRIBUTING.md#bug-reports

note: rustc 1.20.0 running on x86_64-unknown-linux-gnu

thread 'rustc' panicked at 'failed to acquire jobserver token: Error { repr: Os { code: 11, message: "Resource temporarily unavailable" } }', src/libcore/result.rs:860:4
note: Run with `RUST_BACKTRACE=1` for a backtrace.

error: failed to acquire jobserver token

Caused by:
  Resource temporarily unavailable (os error 11)
make: *** [Makefile:2: all] Error 101
', src/vendor/hamcrest/src/core.rs:31:12
note: Run with `RUST_BACKTRACE=1` for a backtrace.


failures:
    makes_jobserver_used

test result: FAILED. 2 passed; 1 failed; 0 ignored; 0 measured; 0 filtered out

error: test failed, to rerun pass '--test jobserver'


command did not execute successfully: "/gnu/store/c3jc4rlyj1b50djxny0ldpbpywaf5apr-rust-1.19.0-cargo/bin/cargo" "test" "-j" "1" "--target" "x86_64-unknown-linux-gnu" "--release" "--frozen" "--manifest-path" "/tmp/guix-build-rust-1.20.0.drv-0/rustc-1.20.0-src/src/tools/cargo/Cargo.toml"
expected success, got: exit code: 101


failed to run: /tmp/guix-build-rust-1.20.0.drv-0/rustc-1.20.0-src/build/bootstrap/debug/bootstrap -j1 test src/tools/cargo
Build completed unsuccessfully in 0:09:46
command "./x.py" "-j1" "test" "src/tools/cargo" failed with status 1
builder for `/gnu/store/dxrkx2iqr0vhan7m0lfczw3b8rpyw8z8-rust-1.20.0.drv' failed with exit code 1

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl5iXzkACgkQoqBt8qM6
VPqeoAf9FLE8iCtanLlFNi2z3enJoBWN3n1KbPsgUe0+2ivCuQyVdFi9HHnzNKuZ
wxOwmVdneUQuUjjvajgoEQD6U5CvrH77yG9fSILZrKpSO2ovHcfvXyBp7O4wk3ty
zqlF1RkgGSMiijW9xCMXzleaNJEhd2GOZ4CgkiZrOb49xrY8YZq5lspaf5clSljq
WUv544/LAYNDt+NKnsrkH7KeYTWSNsM+wPd+rATvGKOjTjRC24Pulb/nbj9o3aGM
XlRg2dgdLtCMPHjPkbX/0Qlc9RKv+w3lj0RKZrAzz9eCbrSObYHSrh4n18YIQYgm
gwOwAYjj0zoiAsAdbPcq8o27lDeyaQ==
=QI30
-----END PGP SIGNATURE-----
--=-=-=--




Acknowledgement sent to Marius Bakke <mbakke@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#39949; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 2 Apr 2020 19:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.